Package org.h2gis.functions.spatial.edit

## Class ST_RemoveHolesByArea

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.edit.ST_RemoveHolesByArea

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_RemoveHolesByArea
    extends org.h2gis.api.DeterministicScalarFunction

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_RemoveHolesByArea()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `removeHoles​(org.locationtech.jts.geom.Geometry geometry, double area)` Remove any holes from the geometry.
`static org.locationtech.jts.geom.MultiPolygon` `removeHolesMultiPolygon​(org.locationtech.jts.geom.MultiPolygon multiPolygon, double area)` Create a new multiPolygon without hole.
`static org.locationtech.jts.geom.Polygon` `removeHolesPolygon​(org.locationtech.jts.geom.Polygon polygon, double area)` Create a new polygon and filter the hole according an area

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_RemoveHolesByArea

    public ST_RemoveHolesByArea()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### removeHoles

    public static org.locationtech.jts.geom.Geometry removeHoles​(org.locationtech.jts.geom.Geometry geometry,
                                                                 double area)
                                                          throws IllegalArgumentException

Remove any holes from the geometry. If the geometry doesn't contain any holes, return it unchanged.

Parameters:
  `geometry` - Geometry
Returns:
  Geometry with no holes *
Throws:
  `IllegalArgumentException`

#### removeHolesMultiPolygon

    public static org.locationtech.jts.geom.MultiPolygon removeHolesMultiPolygon​(org.locationtech.jts.geom.MultiPolygon multiPolygon,
                                                                                 double area)

Create a new multiPolygon without hole.

Parameters:
  `multiPolygon` -
Returns:

#### removeHolesPolygon

    public static org.locationtech.jts.geom.Polygon removeHolesPolygon​(org.locationtech.jts.geom.Polygon polygon,
                                                                       double area)

Create a new polygon and filter the hole according an area

Parameters:
  `polygon` -
Returns: